JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Symbols

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- z

Loading...
Searching...
No Matches
Here is a list of all enums with links to the classes they belong to:

### - a -

- AccessMode : MemoryMappedFile
- AlignContent : FlexBox, Grid
- AlignItems : FlexBox, Grid
- AlignSelf : FlexItem, GridItem
- AlwaysNonRealtime : ARARenderer
- AnnouncementPriority : AccessibilityHandler
- AutoFlow : Grid

### - b -

- Backend : WebBrowserComponent::Options
- BadgeIconType : PushNotifications::Notification
- BubblePlacement : BubbleComponent
- ButtonState : Button
- ButtonStyle : DrawableButton
- ButtonType : AppleRemoteDevice

### - c -

- Category : AudioProcessorParameter
- ChannelType : AudioChannelSet
- ColourIds : AlertWindow, BooleanPropertyComponent, BubbleComponent, CaretComponent, CodeEditorComponent, ColourSelector, ComboBox, DirectoryContentsDisplayComponent, DocumentWindow, DrawableButton, FileBrowserComponent, FileChooserDialogBox, FileSearchPathListComponent, GroupComponent, HyperlinkButton, KeyboardComponentBase, KeyMappingEditorComponent, Label, LassoComponent< SelectableItemType >, ListBox, MidiKeyboardComponent, MPEKeyboardComponent, PopupMenu, ProgressBar, PropertyComponent, ResizableWindow, ScrollBar, SidePanel, Slider, TabbedButtonBar, TabbedComponent, TableHeaderComponent, TextButton, TextEditor, TextPropertyComponent, ToggleButton, Toolbar, TooltipWindow, TreeView
- ColourSelectorOptions : ColourSelector
- ColumnPropertyFlags : TableHeaderComponent
- CommandFlags : ApplicationCommandInfo
- ConnectedEdgeFlags : Button
- CustomisationFlags : Toolbar

### - d -

- Direction : FlexBox
- DiskState : AudioCDBurner
- DisplayOrientation : Desktop
- DragMode : Slider

### - e -

- Edge : ResizableEdgeComponent
- ElementType : RelativePointPath
- EndCapStyle : PathStrokeType
- Error : juce::midi_ci::PropertyExchangeResult
- ExtraComponentPlacement : TabBarButton

### - f -

- FileChooserFlags : FileBrowserComponent
- FilterType : juce::dsp::Oversampling< SampleType >
- Flags : Justification, ModifierKeys, RectanglePlacement
- FocusChangeDirection : Component
- FocusChangeType : Component
- FocusContainerType : Component
- FollowSymlinks : File, ZipFile
- FontStyleFlags : Font
- Format : GZIPDecompressorInputStream
- FrameRateType : AudioPlayHead

### - g -

- GroupAlertBehaviour : PushNotifications::Notification

### - h -

- HostType : PluginHostType

### - i -

- Importance : PushNotifications::Channel
- IncDecButtonMode : Slider
- IncludeHeadAndTail : ARAPlaybackRegion
- InputSourceType : MouseInputSource
- InvocationMethod : ApplicationCommandTarget::InvocationInfo
- IODeviceType : AudioProcessorGraph::AudioGraphIOProcessor

### - j -

- JobStatus : ThreadPoolJob
- JointStyle : PathStrokeType
- JustifyContent : FlexBox, Grid
- JustifyItems : Grid
- JustifySelf : GridItem

### - k -

- KeyState : MPENote
- Keyword : GridItem

### - l -

- LayoutMode : MultiDocumentPanel
- LockScreenAppearance : PushNotifications::Notification

### - m -

- MachineIdFlags : SystemStats
- MidiMachineControlCommand : MidiMessage

### - n -

- Normalise : juce::dsp::Convolution
- Notify : InterprocessConnection

### - o -

- OpenGLVersion : OpenGLContext
- Openness : TreeViewItem
- OperatingSystemType : SystemStats
- OptionFlags : TemporaryFile
- Orientation : KeyboardComponentBase, TabbedButtonBar
- OverwriteFiles : ZipFile

### - p -

- ParameterHandling : URL
- PathElementType : Path::Iterator
- PermissionID : RuntimePermissions
- PixelFormat : Image
- PopupDirection : PopupMenu::Options
- Priority : PushNotifications::Notification, Thread
- ProcessingPrecision : AudioProcessor
- ProcessPriority : Process

### - r -

- ReadingDirection : AttributedString
- ReadWriteMode : Image::BitmapData
- Realtime : AudioProcessor
- ResamplingQuality : Graphics

### - s -

- SaveResult : FileBasedDocument
- ScrollOnDragMode : Viewport
- SliderStyle : Slider
- SmpteTimecodeType : MidiMessage
- SortMethod : KnownPluginList
- Spacing : JSON
- SpecialItemIds : ToolbarItemFactory
- SpecialLocationType : File
- StandardCursorType : MouseCursor
- Status : InAppPurchases::Download, juce::midi_ci::Parser
- Stereo : juce::dsp::Convolution
- StorageFormat : PropertiesFile
- StreamFlags : ChildProcess
- StreamKind : CoreAudioFormat
- Style : ComponentPeer, ProgressBar, PushNotifications::Notification::Action
- StyleFlags : ComponentPeer

### - t -

- TextEntryBoxPosition : Slider
- TextureMagnificationFilter : OpenGLContext
- TimestampVisibility : PushNotifications::Notification
- TitleBarButtons : DocumentWindow
- TokenType : CPlusPlusCodeTokeniser, LuaTokeniser, XmlTokeniser
- ToolbarEditingMode : ToolbarItemComponent
- ToolbarItemStyle : Toolbar
- TrackingMode : MPEInstrument
- Trim : juce::dsp::Convolution
- Type : AudioProcessor::CurveData, Expression, MPEZone, PushNotifications::Notification, RelativeCoordinate::StandardStrings
- TypesOfFileToFind : File

### - u -

- UIColour : LookAndFeel_V4::ColourScheme
- UpdateKind : AudioProcessorGraph

### - v -

- VirtualKeyboardType : TextInputTarget

### - w -

- WindowBitsValues : GZIPCompressorOutputStream
- WindowingMethod : juce::dsp::WindowingFunction< FloatType >
- WordWrap : AttributedString
- WoW64Mode : WindowsRegistry
- Wrap : FlexBox
- WrapperType : AudioProcessor

### - z -

- Zones : ResizableBorderComponent::Zone